/* Generated by re2c 0.16 on Thu Feb  9 15:55:09 2017 */
#line 1 "src/parser.re"
#include "php_psi_stdinc.h"
#include <sys/mman.h>
#include <assert.h>

#include "parser.h"

void *psi_parser_proc_init(void);
void psi_parser_proc_free(void **parser_proc);
void psi_parser_proc_parse(void *parser_proc, token_t r, struct psi_token *token, struct psi_parser *parser);
void psi_parser_proc_trace(FILE *out, char *prefix);

struct psi_parser *psi_parser_init(struct psi_parser *P, psi_error_cb error, unsigned flags)
{
	if (!P) {
		P = malloc(sizeof(*P));
	}
	memset(P, 0, sizeof(*P));

	psi_data_ctor_with_dtors(PSI_DATA(P), error, flags);

	P->col = 1;
	P->line = 1;
	P->proc = psi_parser_proc_init();

	if (flags & PSI_DEBUG) {
		psi_parser_proc_trace(stderr, "PSI> ");
	}

	return P;
}

bool psi_parser_open_file(struct psi_parser *P, const char *filename)
{
	FILE *fp = fopen(filename, "r");

	if (!fp) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not open '%s' for reading: %s",
				filename, strerror(errno));
		return false;
	}

	P->input.type = PSI_PARSE_FILE;
	P->input.data.file.handle = fp;

#if HAVE_MMAP
	struct stat sb;
	int fd = fileno(fp);

	if (fstat(fd, &sb)) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not stat '%s': %s",
				filename, strerror(errno));
		return false;
	}

	P->input.data.file.buffer = mmap(NULL, sb.st_size, PROT_READ, MAP_SHARED, fd, 0);
	if (MAP_FAILED == P->input.data.file.buffer) {
		P->error(PSI_DATA(P), NULL, PSI_WARNING,
				"Could not map '%s' for reading: %s",
				filename, strerror(errno));
		return false;
	}
	P->input.data.file.length = sb.st_size;
#else
	P->input.data.file.buffer = malloc(BSIZE);
#endif

	P->file.fn = strdup(filename);

	return true;
}

bool psi_parser_open_string(struct psi_parser *P, const char *string, size_t length)
{
	P->input.type = PSI_PARSE_STRING;
	P->input.data.string.length = length;
	if (!(P->input.data.string.buffer = strndup(string, length))) {
		return false;
	}

	P->file.fn = strdup("<input>");

	return true;
}

static ssize_t psi_parser_fill(struct psi_parser *P, size_t n)
{
	PSI_DEBUG_PRINT(P, "PSI< Fill: n=%zu (input.type=%d)\n", n, P->input.type);

	/* init if n==0 */
	if (!n) {
		switch (P->input.type) {
		case PSI_PARSE_FILE:
			P->cur = P->tok = P->mrk = P->input.data.file.buffer;
#if HAVE_MMAP
			P->eof = P->input.data.file.buffer + P->input.data.file.length;
			P->lim = P->eof;
#else
			P->eof = NULL;
			P->lim = P->input.data.file.buffer;
#endif
			break;

		case PSI_PARSE_STRING:
			P->cur = P->tok = P->mrk = P->input.data.string.buffer;
			P->eof = P->input.data.string.buffer + P->input.data.string.length;
			P->lim = P->eof;
			break;
		}

		PSI_DEBUG_PRINT(P, "PSI< Fill: cur=%p lim=%p eof=%p\n", P->cur, P->lim, P->eof);
	}

	switch (P->input.type) {
	case PSI_PARSE_STRING:
		break;

	case PSI_PARSE_FILE:
#if !HAVE_MMAP
		if (!P->eof) {
			size_t consumed = P->tok - P->buf;
			size_t reserved = P->lim - P->tok;
			size_t available = BSIZE - reserved;
			size_t didread;

			if (consumed) {
				memmove(P->buf, P->tok, reserved);
				P->tok -= consumed;
				P->cur -= consumed;
				P->lim -= consumed;
				P->mrk -= consumed;
			}

			didread = fread(P->lim, 1, available, P->fp);
			P->lim += didread;
			if (didread < available) {
				P->eof = P->lim;
			}
			PSI_DEBUG_PRINT(P, "PSI< Fill: consumed=%zu reserved=%zu available=%zu didread=%zu\n",
					consumed, reserved, available, didread);
		}
#endif
		break;
	}

	PSI_DEBUG_PRINT(P, "PSI< Fill: avail=%td\n", P->lim - P->cur);

	return P->lim - P->cur;
}

void psi_parser_parse(struct psi_parser *P, struct psi_token *T)
{
	if (T) {
		psi_parser_proc_parse(P->proc, T->type, T, P);
	} else {
		psi_parser_proc_parse(P->proc, 0, NULL, P);
	}
}

void psi_parser_dtor(struct psi_parser *P)
{
	psi_parser_proc_free(&P->proc);

	switch (P->input.type) {
	case PSI_PARSE_FILE:
		if (P->input.data.file.buffer) {
#if HAVE_MMAP
			munmap(P->input.data.file.buffer, P->input.data.file.length);
#else
			free(P->input.data.file.buffer);
#endif
		}
		if (P->input.data.file.handle) {
			fclose(P->input.data.file.handle);
		}
		break;

	case PSI_PARSE_STRING:
		if (P->input.data.string.buffer) {
			free(P->input.data.string.buffer);
		}
		break;
	}

	psi_data_dtor(PSI_DATA(P));

	memset(P, 0, sizeof(*P));
}

void psi_parser_free(struct psi_parser **P)
{
	if (*P) {
		psi_parser_dtor(*P);
		free(*P);
		*P = NULL;
	}
}

#define YYMAXFILL 12
#if BSIZE < YYMAXFILL
# error BSIZE must be greater than YYMAXFILL
#endif

#define RETURN(t) do { \
	P->num = t; \
	PSI_DEBUG_PRINT(P, "PSI< TOKEN: %d %.*s (EOF=%d %s:%u:%u)\n", \
				P->num, (int) (P->cur-P->tok), P->tok, P->num == PSI_T_EOF, \
				P->file.fn, P->line, P->col); \
	return t; \
} while(1)

#define ADDCOLS \
	P->col += P->cur - P->tok

#define NEWLINE(label) \
	P->col = 1; \
	++P->line; \
	goto label

token_t psi_parser_scan(struct psi_parser *P)
{
	if (!P->cur) {
		psi_parser_fill(P, 0);
	}
	for (;;) {
		ADDCOLS;
	nextline:
		P->tok = P->cur;
		
#line 234 "/home/mike/src/php-master/ext/psi/src/parser.c"
		{
			unsigned char yych;
			unsigned int yyaccept = 0;
			if ((P->lim - P->cur) < 12) { if (!psi_parser_fill(P,12)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\t':
			case ' ':	goto yy4;
			case '\n':
			case '\r':	goto yy7;
			case '!':	goto yy9;
			case '"':	goto yy11;
			case '#':	goto yy12;
			case '$':	goto yy13;
			case '%':	goto yy14;
			case '&':	goto yy16;
			case '(':	goto yy18;
			case ')':	goto yy20;
			case '*':	goto yy22;
			case '+':	goto yy24;
			case ',':	goto yy26;
			case '-':	goto yy28;
			case '.':	goto yy30;
			case '/':	goto yy31;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			case ':':	goto yy36;
			case ';':	goto yy38;
			case '<':	goto yy40;
			case '=':	goto yy42;
			case '>':	goto yy44;
			case 'A':
			case 'a':	goto yy46;
			case 'B':
			case 'b':	goto yy48;
			case 'C':
			case 'c':	goto yy49;
			case 'D':
			case 'd':	goto yy50;
			case 'E':
			case 'e':	goto yy51;
			case 'F':
			case 'f':	goto yy52;
			case 'G':
			case 'H':
			case 'J':
			case 'K':
			case 'Q':
			case 'W':
			case 'X':
			case 'Y':
			case '_':
			case 'g':
			case 'h':
			case 'j':
			case 'k':
			case 'q':
			case 'w':
			case 'x':
			case 'y':	goto yy53;
			case 'I':
			case 'i':	goto yy55;
			case 'L':
			case 'l':	goto yy56;
			case 'M':
			case 'm':	goto yy57;
			case 'N':
			case 'n':	goto yy58;
			case 'O':
			case 'o':	goto yy59;
			case 'P':
			case 'p':	goto yy60;
			case 'R':
			case 'r':	goto yy61;
			case 'S':
			case 's':	goto yy62;
			case 'T':
			case 't':	goto yy63;
			case 'U':
			case 'u':	goto yy64;
			case 'V':
			case 'v':	goto yy65;
			case 'Z':
			case 'z':	goto yy66;
			case '[':	goto yy67;
			case '\\':	goto yy69;
			case ']':	goto yy70;
			case '^':	goto yy72;
			case '{':	goto yy74;
			case '|':	goto yy76;
			case '}':	goto yy78;
			case '~':	goto yy80;
			default:	goto yy2;
			}
yy2:
			++P->cur;
yy3:
#line 346 "src/parser.re"
			{break;}
#line 342 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy4:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\t':
			case ' ':	goto yy4;
			default:	goto yy6;
			}
yy6:
#line 281 "src/parser.re"
			{ continue; }
#line 355 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy7:
			++P->cur;
#line 280 "src/parser.re"
			{ NEWLINE(nextline); }
#line 360 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy9:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '=':	goto yy82;
			default:	goto yy10;
			}
yy10:
#line 265 "src/parser.re"
			{RETURN(PSI_T_NOT);}
#line 370 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy11:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '"':	goto yy3;
			default:	goto yy84;
			}
yy12:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			goto yy87;
yy13:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy90;
			default:	goto yy3;
			}
yy14:
			++P->cur;
#line 266 "src/parser.re"
			{RETURN(PSI_T_MODULO);}
#line 454 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy16:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '&':	goto yy93;
			default:	goto yy17;
			}
yy17:
#line 267 "src/parser.re"
			{RETURN(PSI_T_AMPERSAND);}
#line 464 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy18:
			++P->cur;
#line 249 "src/parser.re"
			{RETURN(PSI_T_LPAREN);}
#line 469 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy20:
			++P->cur;
#line 250 "src/parser.re"
			{RETURN(PSI_T_RPAREN);}
#line 474 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy22:
			++P->cur;
#line 263 "src/parser.re"
			{RETURN(PSI_T_ASTERISK);}
#line 479 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy24:
			yyaccept = 1;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy95;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			default:	goto yy25;
			}
yy25:
#line 268 "src/parser.re"
			{RETURN(PSI_T_PLUS);}
#line 500 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy26:
			++P->cur;
#line 252 "src/parser.re"
			{RETURN(PSI_T_COMMA);}
#line 505 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy28:
			yyaccept = 2;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy95;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			default:	goto yy29;
			}
yy29:
#line 269 "src/parser.re"
			{RETURN(PSI_T_MINUS);}
#line 526 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy30:
			yyaccept = 0;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '.':	goto yy97;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy98;
			default:	goto yy3;
			}
yy31:
			yyaccept = 3;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '*':	goto yy100;
			case '/':	goto yy86;
			default:	goto yy32;
			}
yy32:
#line 270 "src/parser.re"
			{RETURN(PSI_T_SLASH);}
#line 555 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy33:
			yyaccept = 4;
			P->mrk = ++P->cur;
			if ((P->lim - P->cur) < 3) { if (!psi_parser_fill(P,3)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '.':	goto yy95;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy33;
			case 'E':
			case 'e':	goto yy102;
			default:	goto yy35;
			}
yy35:
#line 341 "src/parser.re"
			{RETURN(PSI_T_NUMBER);}
#line 580 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy36:
			++P->cur;
#line 253 "src/parser.re"
			{RETURN(PSI_T_COLON);}
#line 585 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy38:
			++P->cur;
#line 251 "src/parser.re"
			{RETURN(PSI_T_EOS);}
#line 590 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy40:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '<':	goto yy103;
			case '=':	goto yy105;
			default:	goto yy41;
			}
yy41:
#line 277 "src/parser.re"
			{RETURN(PSI_T_LCHEVR);}
#line 601 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy42:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '=':	goto yy107;
			default:	goto yy43;
			}
yy43:
#line 262 "src/parser.re"
			{RETURN(PSI_T_EQUALS);}
#line 611 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy44:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '=':	goto yy109;
			case '>':	goto yy111;
			default:	goto yy45;
			}
yy45:
#line 278 "src/parser.re"
			{RETURN(PSI_T_RCHEVR);}
#line 622 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy46:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy113;
			default:	goto yy54;
			}
yy47:
#line 342 "src/parser.re"
			{RETURN(PSI_T_NAME);}
#line 634 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy48:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy115;
			default:	goto yy54;
			}
yy49:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy116;
			case 'H':
			case 'h':	goto yy117;
			case 'O':
			case 'o':	goto yy118;
			default:	goto yy54;
			}
yy50:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy119;
			default:	goto yy54;
			}
yy51:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy120;
			default:	goto yy54;
			}
yy52:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy121;
			case 'L':
			case 'l':	goto yy122;
			case 'R':
			case 'r':	goto yy123;
			case 'U':
			case 'u':	goto yy124;
			default:	goto yy54;
			}
yy53:
			yyaccept = 5;
			P->mrk = ++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
yy54:
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy47;
			}
yy55:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy125;
			default:	goto yy54;
			}
yy56:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy126;
			case 'I':
			case 'i':	goto yy127;
			case 'O':
			case 'o':	goto yy128;
			default:	goto yy54;
			}
yy57:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy129;
			default:	goto yy54;
			}
yy58:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy130;
			default:	goto yy54;
			}
yy59:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy131;
			default:	goto yy54;
			}
yy60:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy132;
			case 'O':
			case 'o':	goto yy133;
			case 'R':
			case 'r':	goto yy134;
			default:	goto yy54;
			}
yy61:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy135;
			default:	goto yy54;
			}
yy62:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy136;
			case 'H':
			case 'h':	goto yy137;
			case 'I':
			case 'i':	goto yy138;
			case 'T':
			case 't':	goto yy139;
			default:	goto yy54;
			}
yy63:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy140;
			case 'O':
			case 'o':	goto yy141;
			case 'R':
			case 'r':	goto yy142;
			case 'Y':
			case 'y':	goto yy143;
			default:	goto yy54;
			}
yy64:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy144;
			case 'N':
			case 'n':	goto yy145;
			default:	goto yy54;
			}
yy65:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy146;
			default:	goto yy54;
			}
yy66:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy147;
			default:	goto yy54;
			}
yy67:
			++P->cur;
#line 256 "src/parser.re"
			{RETURN(PSI_T_LBRACKET);}
#line 880 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy69:
			yych = *++P->cur;
			switch (yych) {
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy148;
			default:	goto yy3;
			}
yy70:
			++P->cur;
#line 257 "src/parser.re"
			{RETURN(PSI_T_RBRACKET);}
#line 943 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy72:
			++P->cur;
#line 272 "src/parser.re"
			{RETURN(PSI_T_CARET);}
#line 948 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy74:
			++P->cur;
#line 254 "src/parser.re"
			{RETURN(PSI_T_LBRACE);}
#line 953 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy76:
			++P->cur;
			switch ((yych = *P->cur)) {
			case '|':	goto yy151;
			default:	goto yy77;
			}
yy77:
#line 271 "src/parser.re"
			{RETURN(PSI_T_PIPE);}
#line 963 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy78:
			++P->cur;
#line 255 "src/parser.re"
			{RETURN(PSI_T_RBRACE);}
#line 968 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy80:
			++P->cur;
#line 264 "src/parser.re"
			{RETURN(PSI_T_TILDE);}
#line 973 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy82:
			++P->cur;
#line 258 "src/parser.re"
			{RETURN(PSI_T_CMP_NE);}
#line 978 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy84:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '"':	goto yy153;
			default:	goto yy84;
			}
yy86:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
yy87:
			switch (yych) {
			case '\n':	goto yy88;
			default:	goto yy86;
			}
yy88:
			++P->cur;
#line 248 "src/parser.re"
			{ NEWLINE(nextline); }
#line 1000 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy90:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy90;
			default:	goto yy92;
			}
yy92:
#line 344 "src/parser.re"
			{RETURN(PSI_T_DOLLAR_NAME);}
#line 1074 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy93:
			++P->cur;
#line 260 "src/parser.re"
			{RETURN(PSI_T_AND);}
#line 1079 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy95:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy98;
			default:	goto yy96;
			}
yy96:
			P->cur = P->mrk;
			switch (yyaccept) {
			case 0: 	goto yy3;
			case 1: 	goto yy25;
			case 2: 	goto yy29;
			case 3: 	goto yy32;
			case 4: 	goto yy35;
			case 5: 	goto yy47;
			case 6: 	goto yy150;
			case 7: 	goto yy173;
			case 8: 	goto yy175;
			case 9: 	goto yy177;
			case 10: 	goto yy187;
			case 11: 	goto yy204;
			case 12: 	goto yy207;
			case 13: 	goto yy212;
			case 14: 	goto yy216;
			case 15: 	goto yy224;
			case 16: 	goto yy227;
			case 17: 	goto yy242;
			case 18: 	goto yy250;
			case 19: 	goto yy256;
			case 20: 	goto yy258;
			case 21: 	goto yy260;
			case 22: 	goto yy267;
			case 23: 	goto yy269;
			case 24: 	goto yy272;
			case 25: 	goto yy274;
			case 26: 	goto yy282;
			case 27: 	goto yy290;
			case 28: 	goto yy309;
			case 29: 	goto yy312;
			case 30: 	goto yy317;
			case 31: 	goto yy319;
			case 32: 	goto yy326;
			case 33: 	goto yy328;
			case 34: 	goto yy330;
			case 35: 	goto yy332;
			case 36: 	goto yy337;
			case 37: 	goto yy339;
			case 38: 	goto yy341;
			case 39: 	goto yy343;
			case 40: 	goto yy345;
			case 41: 	goto yy347;
			case 42: 	goto yy349;
			case 43: 	goto yy354;
			case 44: 	goto yy364;
			case 45: 	goto yy370;
			case 46: 	goto yy372;
			case 47: 	goto yy374;
			case 48: 	goto yy376;
			case 49: 	goto yy381;
			case 50: 	goto yy386;
			case 51: 	goto yy391;
			case 52: 	goto yy394;
			case 53: 	goto yy396;
			case 54: 	goto yy398;
			case 55: 	goto yy400;
			case 56: 	goto yy404;
			case 57: 	goto yy406;
			case 58: 	goto yy410;
			case 59: 	goto yy412;
			case 60: 	goto yy414;
			case 61: 	goto yy416;
			case 62: 	goto yy420;
			case 63: 	goto yy422;
			case 64: 	goto yy425;
			default:	goto yy427;
			}
yy97:
			yych = *++P->cur;
			switch (yych) {
			case '.':	goto yy155;
			default:	goto yy96;
			}
yy98:
			yyaccept = 4;
			P->mrk = ++P->cur;
			if ((P->lim - P->cur) < 3) { if (!psi_parser_fill(P,3)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy98;
			case 'E':
			case 'e':	goto yy102;
			default:	goto yy35;
			}
yy100:
			++P->cur;
#line 247 "src/parser.re"
			{ goto comment; }
#line 1195 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy102:
			yych = *++P->cur;
			switch (yych) {
			case '+':
			case '-':	goto yy157;
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy158;
			default:	goto yy96;
			}
yy103:
			++P->cur;
#line 273 "src/parser.re"
			{RETURN(PSI_T_LSHIFT);}
#line 1217 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy105:
			++P->cur;
#line 275 "src/parser.re"
			{RETURN(PSI_T_CMP_LE);}
#line 1222 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy107:
			++P->cur;
#line 259 "src/parser.re"
			{RETURN(PSI_T_CMP_EQ);}
#line 1227 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy109:
			++P->cur;
#line 276 "src/parser.re"
			{RETURN(PSI_T_CMP_GE);}
#line 1232 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy111:
			++P->cur;
#line 274 "src/parser.re"
			{RETURN(PSI_T_RSHIFT);}
#line 1237 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy113:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy160;
			default:	goto yy54;
			}
yy114:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy148;
			default:	goto yy96;
			}
yy115:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy161;
			default:	goto yy54;
			}
yy116:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy162;
			default:	goto yy54;
			}
yy117:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy163;
			default:	goto yy54;
			}
yy118:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy164;
			case 'U':
			case 'u':	goto yy165;
			default:	goto yy54;
			}
yy119:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy166;
			default:	goto yy54;
			}
yy120:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy167;
			default:	goto yy54;
			}
yy121:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy168;
			default:	goto yy54;
			}
yy122:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy169;
			default:	goto yy54;
			}
yy123:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy170;
			default:	goto yy54;
			}
yy124:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy171;
			default:	goto yy54;
			}
yy125:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy172;
			default:	goto yy54;
			}
yy126:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy174;
			default:	goto yy54;
			}
yy127:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy176;
			default:	goto yy54;
			}
yy128:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy178;
			default:	goto yy54;
			}
yy129:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'X':
			case 'x':	goto yy179;
			default:	goto yy54;
			}
yy130:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy180;
			default:	goto yy54;
			}
yy131:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'J':
			case 'j':	goto yy181;
			default:	goto yy54;
			}
yy132:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy182;
			default:	goto yy54;
			}
yy133:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy183;
			default:	goto yy54;
			}
yy134:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy184;
			default:	goto yy54;
			}
yy135:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy185;
			default:	goto yy54;
			}
yy136:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy186;
			default:	goto yy54;
			}
yy137:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy188;
			default:	goto yy54;
			}
yy138:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy189;
			default:	goto yy54;
			}
yy139:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy190;
			case 'R':
			case 'r':	goto yy191;
			default:	goto yy54;
			}
yy140:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'M':
			case 'm':	goto yy192;
			default:	goto yy54;
			}
yy141:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy193;
			default:	goto yy54;
			}
yy142:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy194;
			default:	goto yy54;
			}
yy143:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'P':
			case 'p':	goto yy195;
			default:	goto yy54;
			}
yy144:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy196;
			default:	goto yy54;
			}
yy145:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy197;
			case 'S':
			case 's':	goto yy198;
			default:	goto yy54;
			}
yy146:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy199;
			default:	goto yy54;
			}
yy147:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy200;
			default:	goto yy54;
			}
yy148:
			yyaccept = 6;
			P->mrk = ++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy148;
			case '\\':	goto yy114;
			default:	goto yy150;
			}
yy150:
#line 343 "src/parser.re"
			{RETURN(PSI_T_NSNAME);}
#line 1650 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy151:
			++P->cur;
#line 261 "src/parser.re"
			{RETURN(PSI_T_OR);}
#line 1655 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy153:
			++P->cur;
#line 345 "src/parser.re"
			{RETURN(PSI_T_QUOTED_STRING);}
#line 1660 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy155:
			++P->cur;
#line 279 "src/parser.re"
			{RETURN(PSI_T_ELLIPSIS);}
#line 1665 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy157:
			yych = *++P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy158;
			default:	goto yy96;
			}
yy158:
			++P->cur;
			if (P->lim <= P->cur) { if (!psi_parser_fill(P,1)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':	goto yy158;
			default:	goto yy35;
			}
yy160:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy201;
			case 'V':
			case 'v':	goto yy202;
			default:	goto yy54;
			}
yy161:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy203;
			default:	goto yy54;
			}
yy162:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy205;
			default:	goto yy54;
			}
yy163:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy206;
			default:	goto yy54;
			}
yy164:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy208;
			default:	goto yy54;
			}
yy165:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy209;
			default:	goto yy54;
			}
yy166:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy210;
			default:	goto yy54;
			}
yy167:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'M':
			case 'm':	goto yy211;
			default:	goto yy54;
			}
yy168:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy213;
			default:	goto yy54;
			}
yy169:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy214;
			default:	goto yy54;
			}
yy170:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy215;
			default:	goto yy54;
			}
yy171:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy217;
			default:	goto yy54;
			}
yy172:
			yyaccept = 7;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '2':
			case '4':
			case '5':
			case '7':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '1':	goto yy218;
			case '3':	goto yy219;
			case '6':	goto yy220;
			case '8':	goto yy221;
			case 'V':
			case 'v':	goto yy222;
			case '\\':	goto yy114;
			default:	goto yy173;
			}
yy173:
#line 291 "src/parser.re"
			{RETURN(PSI_T_INT);}
#line 1869 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy174:
			yyaccept = 8;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy175;
			}
yy175:
#line 317 "src/parser.re"
			{RETURN(PSI_T_LET);}
#line 1943 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy176:
			yyaccept = 9;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy177;
			}
yy177:
#line 316 "src/parser.re"
			{RETURN(PSI_T_LIB);}
#line 2017 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy178:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy223;
			default:	goto yy54;
			}
yy179:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy225;
			default:	goto yy54;
			}
yy180:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy226;
			default:	goto yy54;
			}
yy181:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy228;
			case 'V':
			case 'v':	goto yy229;
			default:	goto yy54;
			}
yy182:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'H':
			case 'h':	goto yy230;
			default:	goto yy54;
			}
yy183:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy231;
			default:	goto yy54;
			}
yy184:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy232;
			default:	goto yy54;
			}
yy185:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'U':
			case 'u':	goto yy233;
			default:	goto yy54;
			}
yy186:
			yyaccept = 10;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy187;
			}
yy187:
#line 318 "src/parser.re"
			{RETURN(PSI_T_SET);}
#line 2156 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy188:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy234;
			default:	goto yy54;
			}
yy189:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy235;
			default:	goto yy54;
			}
yy190:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy236;
			default:	goto yy54;
			}
yy191:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy237;
			case 'L':
			case 'l':	goto yy238;
			case 'U':
			case 'u':	goto yy239;
			case 'V':
			case 'v':	goto yy240;
			default:	goto yy54;
			}
yy192:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'P':
			case 'p':	goto yy241;
			default:	goto yy54;
			}
yy193:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy243;
			case 'B':
			case 'b':	goto yy244;
			case 'F':
			case 'f':	goto yy245;
			case 'I':
			case 'i':	goto yy246;
			case 'O':
			case 'o':	goto yy247;
			case 'S':
			case 's':	goto yy248;
			default:	goto yy54;
			}
yy194:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy249;
			default:	goto yy54;
			}
yy195:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy251;
			default:	goto yy54;
			}
yy196:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy252;
			default:	goto yy54;
			}
yy197:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy253;
			default:	goto yy54;
			}
yy198:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy254;
			default:	goto yy54;
			}
yy199:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy255;
			default:	goto yy54;
			}
yy200:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy257;
			default:	goto yy54;
			}
yy201:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'Y':
			case 'y':	goto yy259;
			default:	goto yy54;
			}
yy202:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy261;
			default:	goto yy54;
			}
yy203:
			yyaccept = 11;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case 'V':
			case 'v':	goto yy262;
			case '\\':	goto yy114;
			default:	goto yy204;
			}
yy204:
#line 288 "src/parser.re"
			{RETURN(PSI_T_BOOL);}
#line 2366 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy205:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy263;
			case 'B':
			case 'b':	goto yy264;
			case 'O':
			case 'o':	goto yy265;
			default:	goto yy54;
			}
yy206:
			yyaccept = 12;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy207;
			}
yy207:
#line 289 "src/parser.re"
			{RETURN(PSI_T_CHAR);}
#line 2452 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy208:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy266;
			default:	goto yy54;
			}
yy209:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy268;
			default:	goto yy54;
			}
yy210:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy270;
			default:	goto yy54;
			}
yy211:
			yyaccept = 13;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy212;
			}
yy212:
#line 314 "src/parser.re"
			{RETURN(PSI_T_ENUM);}
#line 2550 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy213:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy271;
			default:	goto yy54;
			}
yy214:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy273;
			default:	goto yy54;
			}
yy215:
			yyaccept = 14;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy216;
			}
yy216:
#line 322 "src/parser.re"
			{RETURN(PSI_T_FREE);}
#line 2640 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy217:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy275;
			default:	goto yy54;
			}
yy218:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '6':	goto yy276;
			default:	goto yy54;
			}
yy219:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '2':	goto yy277;
			default:	goto yy54;
			}
yy220:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '4':	goto yy278;
			default:	goto yy54;
			}
yy221:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy279;
			default:	goto yy54;
			}
yy222:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy280;
			default:	goto yy54;
			}
yy223:
			yyaccept = 15;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy224;
			}
yy224:
#line 292 "src/parser.re"
			{RETURN(PSI_T_LONG);}
#line 2758 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy225:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy281;
			default:	goto yy54;
			}
yy226:
			yyaccept = 16;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy227;
			}
yy227:
#line 284 "src/parser.re"
			{RETURN(PSI_T_NULL);}
#line 2840 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy228:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy283;
			default:	goto yy54;
			}
yy229:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy284;
			default:	goto yy54;
			}
yy230:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'V':
			case 'v':	goto yy285;
			default:	goto yy54;
			}
yy231:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy286;
			default:	goto yy54;
			}
yy232:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy287;
			default:	goto yy54;
			}
yy233:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy288;
			default:	goto yy54;
			}
yy234:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy289;
			default:	goto yy54;
			}
yy235:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy291;
			default:	goto yy54;
			}
yy236:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy292;
			default:	goto yy54;
			}
yy237:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy293;
			default:	goto yy54;
			}
yy238:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy294;
			default:	goto yy54;
			}
yy239:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy295;
			default:	goto yy54;
			}
yy240:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy296;
			default:	goto yy54;
			}
yy241:
			yyaccept = 17;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy242;
			}
yy242:
#line 323 "src/parser.re"
			{RETURN(PSI_T_TEMP);}
#line 3017 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy243:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy297;
			default:	goto yy54;
			}
yy244:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy298;
			default:	goto yy54;
			}
yy245:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy299;
			default:	goto yy54;
			}
yy246:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy300;
			default:	goto yy54;
			}
yy247:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy301;
			default:	goto yy54;
			}
yy248:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy302;
			default:	goto yy54;
			}
yy249:
			yyaccept = 18;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy250;
			}
yy250:
#line 282 "src/parser.re"
			{RETURN(PSI_T_TRUE);}
#line 3139 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy251:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy303;
			default:	goto yy54;
			}
yy252:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '1':	goto yy304;
			case '3':	goto yy305;
			case '6':	goto yy306;
			case '8':	goto yy307;
			default:	goto yy54;
			}
yy253:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy308;
			default:	goto yy54;
			}
yy254:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy310;
			default:	goto yy54;
			}
yy255:
			yyaccept = 19;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy256;
			}
yy256:
#line 287 "src/parser.re"
			{RETURN(PSI_T_VOID);}
#line 3247 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy257:
			yyaccept = 20;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy258;
			}
yy258:
#line 332 "src/parser.re"
			{RETURN(PSI_T_ZVAL);}
#line 3321 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy259:
			yyaccept = 21;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy260;
			}
yy260:
#line 306 "src/parser.re"
			{RETURN(PSI_T_ARRAY);}
#line 3395 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy261:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy311;
			default:	goto yy54;
			}
yy262:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy313;
			default:	goto yy54;
			}
yy263:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'B':
			case 'b':	goto yy314;
			default:	goto yy54;
			}
yy264:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy315;
			default:	goto yy54;
			}
yy265:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy316;
			default:	goto yy54;
			}
yy266:
			yyaccept = 22;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy267;
			}
yy267:
#line 315 "src/parser.re"
			{RETURN(PSI_T_CONST);}
#line 3509 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy268:
			yyaccept = 23;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy269;
			}
yy269:
#line 333 "src/parser.re"
			{RETURN(PSI_T_COUNT);}
#line 3583 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy270:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy318;
			default:	goto yy54;
			}
yy271:
			yyaccept = 24;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy272;
			}
yy272:
#line 283 "src/parser.re"
			{RETURN(PSI_T_FALSE);}
#line 3665 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy273:
			yyaccept = 25;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case 'V':
			case 'v':	goto yy320;
			case '\\':	goto yy114;
			default:	goto yy274;
			}
yy274:
#line 293 "src/parser.re"
			{RETURN(PSI_T_FLOAT);}
#line 3739 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy275:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy321;
			default:	goto yy54;
			}
yy276:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy322;
			default:	goto yy54;
			}
yy277:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy323;
			default:	goto yy54;
			}
yy278:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy324;
			default:	goto yy54;
			}
yy279:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy325;
			default:	goto yy54;
			}
yy280:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy327;
			default:	goto yy54;
			}
yy281:
			yyaccept = 26;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy282;
			}
yy282:
#line 285 "src/parser.re"
			{RETURN(PSI_T_MIXED);}
#line 3858 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy283:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy329;
			default:	goto yy54;
			}
yy284:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy331;
			default:	goto yy54;
			}
yy285:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy333;
			default:	goto yy54;
			}
yy286:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy334;
			default:	goto yy54;
			}
yy287:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy335;
			default:	goto yy54;
			}
yy288:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy336;
			default:	goto yy54;
			}
yy289:
			yyaccept = 27;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy290;
			}
yy290:
#line 290 "src/parser.re"
			{RETURN(PSI_T_SHORT);}
#line 3980 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy291:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy338;
			default:	goto yy54;
			}
yy292:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy340;
			default:	goto yy54;
			}
yy293:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy342;
			default:	goto yy54;
			}
yy294:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy344;
			default:	goto yy54;
			}
yy295:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy346;
			default:	goto yy54;
			}
yy296:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy348;
			default:	goto yy54;
			}
yy297:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy350;
			default:	goto yy54;
			}
yy298:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy351;
			default:	goto yy54;
			}
yy299:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy352;
			default:	goto yy54;
			}
yy300:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy353;
			default:	goto yy54;
			}
yy301:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'J':
			case 'j':	goto yy355;
			default:	goto yy54;
			}
yy302:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy356;
			default:	goto yy54;
			}
yy303:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy357;
			default:	goto yy54;
			}
yy304:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '6':	goto yy358;
			default:	goto yy54;
			}
yy305:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '2':	goto yy359;
			default:	goto yy54;
			}
yy306:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '4':	goto yy360;
			default:	goto yy54;
			}
yy307:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy361;
			default:	goto yy54;
			}
yy308:
			yyaccept = 28;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy309;
			}
yy309:
#line 313 "src/parser.re"
			{RETURN(PSI_T_UNION);}
#line 4186 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy310:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy362;
			default:	goto yy54;
			}
yy311:
			yyaccept = 29;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy312;
			}
yy312:
#line 330 "src/parser.re"
			{RETURN(PSI_T_ARRVAL);}
#line 4268 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy313:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy363;
			default:	goto yy54;
			}
yy314:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy365;
			default:	goto yy54;
			}
yy315:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy366;
			default:	goto yy54;
			}
yy316:
			yyaccept = 30;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy317;
			}
yy317:
#line 334 "src/parser.re"
			{RETURN(PSI_T_CALLOC);}
#line 4366 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy318:
			yyaccept = 31;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy319;
			}
yy319:
#line 294 "src/parser.re"
			{RETURN(PSI_T_DOUBLE);}
#line 4440 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy320:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy367;
			default:	goto yy54;
			}
yy321:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'O':
			case 'o':	goto yy368;
			default:	goto yy54;
			}
yy322:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy369;
			default:	goto yy54;
			}
yy323:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy371;
			default:	goto yy54;
			}
yy324:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy373;
			default:	goto yy54;
			}
yy325:
			yyaccept = 32;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy326;
			}
yy326:
#line 295 "src/parser.re"
			{RETURN(PSI_T_INT8);}
#line 4554 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy327:
			yyaccept = 33;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy328;
			}
yy328:
#line 327 "src/parser.re"
			{RETURN(PSI_T_INTVAL);}
#line 4628 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy329:
			yyaccept = 34;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy330;
			}
yy330:
#line 307 "src/parser.re"
			{RETURN(PSI_T_OBJECT);}
#line 4702 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy331:
			yyaccept = 35;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy332;
			}
yy332:
#line 331 "src/parser.re"
			{RETURN(PSI_T_OBJVAL);}
#line 4776 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy333:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy375;
			default:	goto yy54;
			}
yy334:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy377;
			default:	goto yy54;
			}
yy335:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy378;
			default:	goto yy54;
			}
yy336:
			yyaccept = 36;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy337;
			}
yy337:
#line 321 "src/parser.re"
			{RETURN(PSI_T_RETURN);}
#line 4874 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy338:
			yyaccept = 37;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy339;
			}
yy339:
#line 304 "src/parser.re"
			{RETURN(PSI_T_SIGNED);}
#line 4948 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy340:
			yyaccept = 38;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy341;
			}
yy341:
#line 309 "src/parser.re"
			{RETURN(PSI_T_STATIC);}
#line 5022 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy342:
			yyaccept = 39;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy343;
			}
yy343:
#line 305 "src/parser.re"
			{RETURN(PSI_T_STRING);}
#line 5096 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy344:
			yyaccept = 40;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy345;
			}
yy345:
#line 324 "src/parser.re"
			{RETURN(PSI_T_STRLEN);}
#line 5170 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy346:
			yyaccept = 41;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy347;
			}
yy347:
#line 312 "src/parser.re"
			{RETURN(PSI_T_STRUCT);}
#line 5244 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy348:
			yyaccept = 42;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy349;
			}
yy349:
#line 325 "src/parser.re"
			{RETURN(PSI_T_STRVAL);}
#line 5318 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy350:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy379;
			default:	goto yy54;
			}
yy351:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy380;
			default:	goto yy54;
			}
yy352:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'A':
			case 'a':	goto yy382;
			default:	goto yy54;
			}
yy353:
			yyaccept = 43;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy354;
			}
yy354:
#line 338 "src/parser.re"
			{RETURN(PSI_T_TO_INT);}
#line 5416 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy355:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy383;
			default:	goto yy54;
			}
yy356:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'I':
			case 'i':	goto yy384;
			default:	goto yy54;
			}
yy357:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'F':
			case 'f':	goto yy385;
			default:	goto yy54;
			}
yy358:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy387;
			default:	goto yy54;
			}
yy359:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy388;
			default:	goto yy54;
			}
yy360:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '_':	goto yy389;
			default:	goto yy54;
			}
yy361:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy390;
			default:	goto yy54;
			}
yy362:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy392;
			default:	goto yy54;
			}
yy363:
			yyaccept = 44;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy364;
			}
yy364:
#line 329 "src/parser.re"
			{RETURN(PSI_T_BOOLVAL);}
#line 5551 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy365:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy393;
			default:	goto yy54;
			}
yy366:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'K':
			case 'k':	goto yy395;
			default:	goto yy54;
			}
yy367:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'L':
			case 'l':	goto yy397;
			default:	goto yy54;
			}
yy368:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy399;
			default:	goto yy54;
			}
yy369:
			yyaccept = 45;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy370;
			}
yy370:
#line 297 "src/parser.re"
			{RETURN(PSI_T_INT16);}
#line 5657 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy371:
			yyaccept = 46;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy372;
			}
yy372:
#line 299 "src/parser.re"
			{RETURN(PSI_T_INT32);}
#line 5731 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy373:
			yyaccept = 47;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy374;
			}
yy374:
#line 301 "src/parser.re"
			{RETURN(PSI_T_INT64);}
#line 5805 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy375:
			yyaccept = 48;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy376;
			}
yy376:
#line 326 "src/parser.re"
			{RETURN(PSI_T_PATHVAL);}
#line 5879 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy377:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'S':
			case 's':	goto yy401;
			default:	goto yy54;
			}
yy378:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy402;
			default:	goto yy54;
			}
yy379:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'Y':
			case 'y':	goto yy403;
			default:	goto yy54;
			}
yy380:
			yyaccept = 49;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy381;
			}
yy381:
#line 340 "src/parser.re"
			{RETURN(PSI_T_TO_BOOL);}
#line 5977 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy382:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy405;
			default:	goto yy54;
			}
yy383:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'C':
			case 'c':	goto yy407;
			default:	goto yy54;
			}
yy384:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'N':
			case 'n':	goto yy408;
			default:	goto yy54;
			}
yy385:
			yyaccept = 50;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy386;
			}
yy386:
#line 311 "src/parser.re"
			{RETURN(PSI_T_TYPEDEF);}
#line 6075 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy387:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy409;
			default:	goto yy54;
			}
yy388:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy411;
			default:	goto yy54;
			}
yy389:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy413;
			default:	goto yy54;
			}
yy390:
			yyaccept = 51;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy391;
			}
yy391:
#line 296 "src/parser.re"
			{RETURN(PSI_T_UINT8);}
#line 6173 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy392:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'D':
			case 'd':	goto yy415;
			default:	goto yy54;
			}
yy393:
			yyaccept = 52;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy394;
			}
yy394:
#line 286 "src/parser.re"
			{RETURN(PSI_T_CALLABLE);}
#line 6255 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy395:
			yyaccept = 53;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy396;
			}
yy396:
#line 308 "src/parser.re"
			{RETURN(PSI_T_CALLBACK);}
#line 6329 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy397:
			yyaccept = 54;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy398;
			}
yy398:
#line 328 "src/parser.re"
			{RETURN(PSI_T_FLOATVAL);}
#line 6403 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy399:
			yyaccept = 55;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy400;
			}
yy400:
#line 310 "src/parser.re"
			{RETURN(PSI_T_FUNCTION);}
#line 6477 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy401:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'E':
			case 'e':	goto yy417;
			default:	goto yy54;
			}
yy402:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy418;
			default:	goto yy54;
			}
yy403:
			yyaccept = 56;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy404;
			}
yy404:
#line 336 "src/parser.re"
			{RETURN(PSI_T_TO_ARRAY);}
#line 6567 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy405:
			yyaccept = 57;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy406;
			}
yy406:
#line 339 "src/parser.re"
			{RETURN(PSI_T_TO_FLOAT);}
#line 6641 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy407:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy419;
			default:	goto yy54;
			}
yy408:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'G':
			case 'g':	goto yy421;
			default:	goto yy54;
			}
yy409:
			yyaccept = 58;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy410;
			}
yy410:
#line 298 "src/parser.re"
			{RETURN(PSI_T_UINT16);}
#line 6731 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy411:
			yyaccept = 59;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy412;
			}
yy412:
#line 300 "src/parser.re"
			{RETURN(PSI_T_UINT32);}
#line 6805 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy413:
			yyaccept = 60;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy414;
			}
yy414:
#line 302 "src/parser.re"
			{RETURN(PSI_T_UINT64);}
#line 6879 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy415:
			yyaccept = 61;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy416;
			}
yy416:
#line 303 "src/parser.re"
			{RETURN(PSI_T_UNSIGNED);}
#line 6953 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy417:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'R':
			case 'r':	goto yy423;
			default:	goto yy54;
			}
yy418:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy424;
			default:	goto yy54;
			}
yy419:
			yyaccept = 62;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy420;
			}
yy420:
#line 335 "src/parser.re"
			{RETURN(PSI_T_TO_OBJECT);}
#line 7043 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy421:
			yyaccept = 63;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy422;
			}
yy422:
#line 337 "src/parser.re"
			{RETURN(PSI_T_TO_STRING);}
#line 7117 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy423:
			yyaccept = 5;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case 'T':
			case 't':	goto yy426;
			default:	goto yy54;
			}
yy424:
			yyaccept = 64;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy425;
			}
yy425:
#line 319 "src/parser.re"
			{RETURN(PSI_T_PRE_ASSERT);}
#line 7199 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy426:
			yyaccept = 65;
			yych = *(P->mrk = ++P->cur);
			switch (yych) {
			case '0':
			case '1':
			case '2':
			case '3':
			case '4':
			case '5':
			case '6':
			case '7':
			case '8':
			case '9':
			case 'A':
			case 'B':
			case 'C':
			case 'D':
			case 'E':
			case 'F':
			case 'G':
			case 'H':
			case 'I':
			case 'J':
			case 'K':
			case 'L':
			case 'M':
			case 'N':
			case 'O':
			case 'P':
			case 'Q':
			case 'R':
			case 'S':
			case 'T':
			case 'U':
			case 'V':
			case 'W':
			case 'X':
			case 'Y':
			case 'Z':
			case '_':
			case 'a':
			case 'b':
			case 'c':
			case 'd':
			case 'e':
			case 'f':
			case 'g':
			case 'h':
			case 'i':
			case 'j':
			case 'k':
			case 'l':
			case 'm':
			case 'n':
			case 'o':
			case 'p':
			case 'q':
			case 'r':
			case 's':
			case 't':
			case 'u':
			case 'v':
			case 'w':
			case 'x':
			case 'y':
			case 'z':	goto yy53;
			case '\\':	goto yy114;
			default:	goto yy427;
			}
yy427:
#line 320 "src/parser.re"
			{RETURN(PSI_T_POST_ASSERT);}
#line 7273 "/home/mike/src/php-master/ext/psi/src/parser.c"
		}
#line 347 "src/parser.re"


	comment:
		P->tok = P->cur;
		
#line 7281 "/home/mike/src/php-master/ext/psi/src/parser.c"
		{
			unsigned char yych;
			if ((P->lim - P->cur) < 2) { if (!psi_parser_fill(P,2)) RETURN(PSI_T_EOF); };
			yych = *P->cur;
			switch (yych) {
			case '\n':	goto yy432;
			case '*':	goto yy434;
			default:	goto yy430;
			}
yy430:
			++P->cur;
yy431:
#line 354 "src/parser.re"
			{ goto comment; }
#line 7296 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy432:
			++P->cur;
#line 352 "src/parser.re"
			{ NEWLINE(comment); }
#line 7301 "/home/mike/src/php-master/ext/psi/src/parser.c"
yy434:
			yych = *++P->cur;
			switch (yych) {
			case '/':	goto yy435;
			default:	goto yy431;
			}
yy435:
			++P->cur;
#line 353 "src/parser.re"
			{ continue; }
#line 7312 "/home/mike/src/php-master/ext/psi/src/parser.c"
		}
#line 355 "src/parser.re"

	}
	return -1;
}
